Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.turtle
Class TurtleState

    java.lang.Object
      de.grogra.turtle.TurtleState

All Implemented Interfaces:
  Manageable

    public final class TurtleState

extends java.lang.Object
implements Manageable

Nested Class Summary
`static class` | `TurtleState.Type`

Field Summary
`static TurtleState.Type` | `$TYPE`
`float` | `carbon`
`static SCOType.Field` | `carbon$FIELD`
`int` | `color`
`static NodeToInt` | `COLOR`
`static SCOType.Field` | `color$FIELD`
`static TurtleState` | `DEFAULT_TURTLE_STATE`
`float` | `diameter`
`static NodeToFloat` | `DIAMETER`
`static SCOType.Field` | `diameter$FIELD`
`static NodeToInt` | `GENERATIVE_DISTANCE`
`int` | `generativeDistance`
`float` | `heartwood`
`static SCOType.Field` | `heartwood$FIELD`
`TurtleState` | `initialState`
`int` | `internodeCount`
`static SCOType.Field` | `internodeCount$FIELD`
`float` | `length`
`static NodeToFloat` | `LENGTH`
`static SCOType.Field` | `length$FIELD`
`float` | `localCarbon`
`int` | `localColor`
`float` | `localDiameter`
`float` | `localHeartwood`
`int` | `localInternodeCount`
`float` | `localLength`
`float` | `localParameter`
`int` | `localScale`
`Shader` | `localShader`
`float` | `localTropism`
`int` | `order`
`static NodeToInt` | `ORDER`
`float` | `parameter`
`static NodeToFloat` | `PARAMETER`
`static SCOType.Field` | `parameter$FIELD`
`float` | `relPosition`
`Shader` | `shader`
`float` | `tropism`
`static SCOType.Field` | `tropism$FIELD`

Constructor Summary
`TurtleState()`

Method Summary
`static int` | `color(Node node)`
`static float` | `diameter(Node node)`
`void` | `fieldModified(PersistenceField field, int[] indices, Transaction t)`
`static int` | `generativeDistance(Node node)`
`static TurtleState` | `getAfter(java.lang.Object node, GraphState gs)`
`static TurtleState` | `getBefore(java.lang.Object node, GraphState gs)`
`ManageableType` | `getManageableType()`
`int` | `getStamp()` Returns a stamp for this object.
`void` | `inherit(TurtleState state)`
`static float` | `length(Node node)`
`Manageable` | `manageableReadResolve()`
`java.lang.Object` | `manageableWriteReplace()`
`static int` | `order(Node node)`
`static float` | `parameter(Node node)`
`static float` | `relPosition(Node node)`
`static Shader` | `shader(Node node)`
`static float` | `tropism(Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final TurtleState.Type $TYPE

### carbon

    public float carbon

### carbon$FIELD

    public static final SCOType.Field carbon$FIELD

### color

    public int color

### COLOR

    public static final NodeToInt COLOR

### color$FIELD

    public static final SCOType.Field color$FIELD

### DEFAULT_TURTLE_STATE

    public static final TurtleState DEFAULT_TURTLE_STATE

### diameter

    public float diameter

### DIAMETER

    public static final NodeToFloat DIAMETER

### diameter$FIELD

    public static final SCOType.Field diameter$FIELD

### GENERATIVE_DISTANCE

    public static final NodeToInt GENERATIVE_DISTANCE

### generativeDistance

    public int generativeDistance

### heartwood

    public float heartwood

### heartwood$FIELD

    public static final SCOType.Field heartwood$FIELD

### initialState

    public TurtleState initialState

### internodeCount

    public int internodeCount

### internodeCount$FIELD

    public static final SCOType.Field internodeCount$FIELD

### length

    public float length

### LENGTH

    public static final NodeToFloat LENGTH

### length$FIELD

    public static final SCOType.Field length$FIELD

### localCarbon

    public float localCarbon

### localColor

    public int localColor

### localDiameter

    public float localDiameter

### localHeartwood

    public float localHeartwood

### localInternodeCount

    public int localInternodeCount

### localLength

    public float localLength

### localParameter

    public float localParameter

### localScale

    public int localScale

### localShader

    public Shader localShader

### localTropism

    public float localTropism

### order

    public int order

### ORDER

    public static final NodeToInt ORDER

### parameter

    public float parameter

### PARAMETER

    public static final NodeToFloat PARAMETER

### parameter$FIELD

    public static final SCOType.Field parameter$FIELD

### relPosition

    public float relPosition

### shader

    public Shader shader

### tropism

    public float tropism

### tropism$FIELD

    public static final SCOType.Field tropism$FIELD

Constructor Detail

### TurtleState

    public TurtleState()

Method Detail

### color

    public static int color(Node node)

### diameter

    public static float diameter(Node node)

### fieldModified

    public void fieldModified(PersistenceField field,
                              int[] indices,
                              Transaction t)

  Specified by:
    `fieldModified` in interface `Manageable`

### generativeDistance

    public static int generativeDistance(Node node)

### getAfter

    public static TurtleState getAfter(java.lang.Object node,
                                       GraphState gs)

### getBefore

    public static TurtleState getBefore(java.lang.Object node,
                                        GraphState gs)

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getStamp

    public int getStamp()

  Description copied from interface: `Manageable`
  Returns a stamp for this object. Each modification to this object increments the stamp. The initial stamp is non-negative.

  Specified by:
    `getStamp` in interface `Manageable`
  Returns:
    a stamp

### inherit

    public void inherit(TurtleState state)

### length

    public static float length(Node node)

### manageableReadResolve

    public Manageable manageableReadResolve()

  Specified by:
    `manageableReadResolve` in interface `Manageable`

### manageableWriteReplace

    public java.lang.Object manageableWriteReplace()

  Specified by:
    `manageableWriteReplace` in interface `Manageable`

### order

    public static int order(Node node)

### parameter

    public static float parameter(Node node)

### relPosition

    public static float relPosition(Node node)

### shader

    public static Shader shader(Node node)

### tropism

    public static float tropism(Node node)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD